com.trendmicro.ds.platform.rest.object.samlidentityproviders

## Class SAMLServiceProvider

- java.lang.Object
- - com.trendmicro.ds.platform.rest.object.samlidentityproviders.SAMLServiceProvider

-     public class SAMLServiceProvider
      extends java.lang.Object

  SAML service provider details.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SAMLServiceProvider()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getCertificate()` Get the base64-encoded SAML service provider's signing certificate.
    `java.lang.String` | `getEntityID()` Get the SAML service provider's entity ID.
    `java.lang.String` | `getPassphrase()` Get the SAML service provider's private key passphrase.
    `java.lang.String` | `getPrivateKey()` Get the base64-encoded SAML service provider's private key.
    `java.lang.String` | `getServiceName()` Get the SAML service provider's service name.
    `java.lang.Long` | `getValidUntil()` Get the time when this SAML service provider's certificate will expire, as the number of milliseconds since January 1, 1970, 00:00:00 GMT.
    `void` | `setCertificate(java.lang.String certificate)` Set the SAML service provider's signing certificate.
    `void` | `setEntityID(java.lang.String entityID)` Set the SAML service provider's entity ID.
    `void` | `setPassphrase(java.lang.String passphrase)` Set the SAML service provider's private key passphrase.
    `void` | `setPrivateKey(java.lang.String privateKey)` Set the base64-encoded SAML service provider's private key.
    `void` | `setServiceName(java.lang.String serviceName)` Set the SAML service provider's service name.
    `void` | `setValidUntil(java.lang.Long validUntil)` Set the time when this SAML service provider's certificate will expire, as the number of milliseconds since January 1, 1970, 00:00:00 GMT.
    `SAMLServiceProvider` | `withCertificate(java.lang.String certificate)` Set the SAML service provider's signing certificate.
    `SAMLServiceProvider` | `withEntityID(java.lang.String entityID)` Set the SAML service provider's entity ID.
    `SAMLServiceProvider` | `withPassphrase(java.lang.String passphrase)` Set the SAML service provider's private key passphrase.
    `SAMLServiceProvider` | `withPrivateKey(java.lang.String privateKey)` Set the base64-encoded SAML service provider's private key.
    `SAMLServiceProvider` | `withServiceName(java.lang.String serviceName)` Set the SAML service provider's service name.
    `SAMLServiceProvider` | `withValidUntil(java.lang.Long validUntil)` Set the time when this SAML service provider's certificate will expire, as the number of milliseconds since January 1, 1970, 00:00:00 GMT.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SAMLServiceProvider

          public SAMLServiceProvider()

  - ### Method Detail

    - #### getEntityID

          public java.lang.String getEntityID()

      Get the SAML service provider's entity ID.
      Returns:
        the SAML service provider's entity ID

    - #### setEntityID

          public void setEntityID(java.lang.String entityID)

      Set the SAML service provider's entity ID.
      Parameters:
        `entityID` - the SAML service provider's entity ID

    - #### withEntityID

          public SAMLServiceProvider withEntityID(java.lang.String entityID)

      Set the SAML service provider's entity ID.
      Parameters:
        `entityID` - the SAML service provider's entity ID
      Returns:
        the updated SAMLServiceProvider object

    - #### getServiceName

          public java.lang.String getServiceName()

      Get the SAML service provider's service name.
      Returns:
        the SAML service provider's service name

    - #### setServiceName

          public void setServiceName(java.lang.String serviceName)

      Set the SAML service provider's service name.
      Parameters:
        `serviceName` - the SAML service provider's service name

    - #### withServiceName

          public SAMLServiceProvider withServiceName(java.lang.String serviceName)

      Set the SAML service provider's service name.
      Parameters:
        `serviceName` - the SAML service provider's service name
      Returns:
        the update SAMLServiceProvider object

    - #### getPrivateKey

          public java.lang.String getPrivateKey()

      Get the base64-encoded SAML service provider's private key.

      The private key must be an RSA key; other key types are not supported.

      Note: To prevent accidental disclosure of the private key, the Deep Security Manager will not return this value; it can only be used to set the private key.

      Returns:
        SAML service provider's private key

    - #### setPrivateKey

          public void setPrivateKey(java.lang.String privateKey)

      Set the base64-encoded SAML service provider's private key.

      The private key must be an RSA key; other key types are not supported.

      Note: To prevent accidental disclosure of the private key, the Deep Security Manager will not return this value; it can only be used to set the private key.

      Parameters:
        `privateKey` - the SAML service provider's private key

    - #### withPrivateKey

          public SAMLServiceProvider withPrivateKey(java.lang.String privateKey)

      Set the base64-encoded SAML service provider's private key.

      The private key must be an RSA key; other key types are not supported.

      Note: To prevent accidental disclosure of the private key, the Deep Security Manager will not return this value; it can only be used to set the private key.

      Parameters:
        `privateKey` - the SAML service provider's private key
      Returns:
        the updated SAMLServiceProvider object

    - #### getCertificate

          public java.lang.String getCertificate()

      Get the base64-encoded SAML service provider's signing certificate.
      Returns:
        the SAML service provider's signing certificate

    - #### setCertificate

          public void setCertificate(java.lang.String certificate)

      Set the SAML service provider's signing certificate.
      Parameters:
        `certificate` - the SAML service provider's signing certificate

    - #### withCertificate

          public SAMLServiceProvider withCertificate(java.lang.String certificate)

      Set the SAML service provider's signing certificate.
      Parameters:
        `certificate` - the SAML service provider's signing certificate
      Returns:
        the updated SAMLServiceProvider object

    - #### getPassphrase

          public java.lang.String getPassphrase()

      Get the SAML service provider's private key passphrase.

      Note: To prevent accidental disclosure of the private key passphrase, the Deep Security Manager will not return this value; it can only be used to set the private key passphrase.

      Returns:
        the SAML service provider's private key passphrase

    - #### setPassphrase

          public void setPassphrase(java.lang.String passphrase)

      Set the SAML service provider's private key passphrase.

      Note: To prevent accidental disclosure of the private key passphrase, the Deep Security Manager will not return this value; it can only be used to set the private key passphrase.

      Parameters:
        `passphrase` - the private key passphrase

    - #### withPassphrase

          public SAMLServiceProvider withPassphrase(java.lang.String passphrase)

      Set the SAML service provider's private key passphrase.

      Note: To prevent accidental disclosure of the private key passphrase, the Deep Security Manager will not return this value; it can only be used to set the private key passphrase.

      Parameters:
        `passphrase` - the private key passphrase
      Returns:
        the updated SAMLServiceProvider object

    - #### getValidUntil

          public java.lang.Long getValidUntil()

      Get the time when this SAML service provider's certificate will expire, as the number of milliseconds since January 1, 1970, 00:00:00 GMT.

      This system value is provided for information purposes and cannot be set through the API. Attempts to set or change this read-only value through the API will be ignored.

      Returns:
        the time when this SAML service provider's certificate will expire, as the number of milliseconds since January 1, 1970, 00:00:00 GMT.

    - #### setValidUntil

          public void setValidUntil(java.lang.Long validUntil)

      Set the time when this SAML service provider's certificate will expire, as the number of milliseconds since January 1, 1970, 00:00:00 GMT.

      This system value is provided for information purposes and cannot be set through the API. Attempts to set or change this read-only value through the API will be ignored.

      Parameters:
        `validUntil` - the time when this SAML service provider's certificate will expire, as the number of milliseconds since January 1, 1970, 00:00:00 GMT.

    - #### withValidUntil

          public SAMLServiceProvider withValidUntil(java.lang.Long validUntil)

      Set the time when this SAML service provider's certificate will expire, as the number of milliseconds since January 1, 1970, 00:00:00 GMT.

      This system value is provided for information purposes and cannot be set through the API. Attempts to set or change this read-only value through the API will be ignored.

      Parameters:
        `validUntil` - the time when this SAML service provider's certificate will expire, as the number of milliseconds since January 1, 1970, 00:00:00 GMT.
      Returns:
        the updated SAMLIdentityProvider object.

Copyright © 2017 Trend Micro Inc. All Rights Reserved.